<?php

$maj_default_title = file_get_contents("data/title.txt");
$maj_admin_username = file_get_contents("data/username.txt");

if (isset($_SESSION['logged_in'])) {
	$maj_logged_in_username = $_SESSION['logged_in'];
}

if (isset($maj_logged_in_username) and ($_SESSION['user_agent'] != $_SERVER['HTTP_USER_AGENT'])) {
	header("Location: login.php");
}

if (get_magic_quotes_gpc()) {

	function stripslashes_array($data) {
          
		if (is_array($data)) {
              
			foreach ($data as $key => $value) {
                  		$data[$key] = stripslashes_array($value);
              		}
              		return $data;
          	}
          	else {
              		return stripslashes($data);
          	}
      	}
      	$_REQUEST = stripslashes_array($_REQUEST);
}

if (isset($_REQUEST['entry']) and !empty($_REQUEST['entry'])) {
	$maj_req_entry = trim($_REQUEST['entry']);
}

if (isset($_REQUEST['show']) and !empty($_REQUEST['show'])) {
	$maj_req_show = trim($_REQUEST['show']);
}

if (isset($_REQUEST['find']) and !empty($_REQUEST['find'])) {
	$maj_req_find = trim($_REQUEST['find']);
	$maj_req_find = str_replace(" ","-",$maj_req_find);
	$maj_req_find = strtolower($maj_req_find);
	$maj_req_find = strip_tags($maj_req_find);
}

if (isset($_REQUEST['category']) and !empty($_REQUEST['category'])) {
	$maj_req_category = trim($_REQUEST['category']);
	$maj_req_category = str_replace(" ","-",$maj_req_category);
	$maj_req_category = strtolower($maj_req_category);
	$maj_req_category = strip_tags($maj_req_category);
}

if (isset($_REQUEST['archive']) and !empty($_REQUEST['archive'])) {
	$maj_req_archive = trim($_REQUEST['archive']);
}

if (isset($_REQUEST['author']) and !empty($_REQUEST['author'])) {
	$maj_req_author = trim($_REQUEST['author']);
	$maj_req_author = str_replace(" ","-",$maj_req_author);
	$maj_req_author = strtolower($maj_req_author);
	$maj_req_author = strip_tags($maj_req_author);
}

if (file_exists("data/offset.txt")) {
	$maj_offset = file_get_contents("data/offset.txt");
}
else {
	$maj_offset = 0;
}

if (file_exists("data/increase.txt")) {
	$maj_increase = file_get_contents("data/increase.txt");
}
else {
	$maj_increase = 5;
}

if (file_exists("data/bb.txt") and file_exists("data/avatar.txt")) {
	$maj_wside = "160";
	$maj_wmain = "600";
}
else {
	$maj_wside = "200";
	$maj_wmain = "520";
}

$maj_wspace = "10";

$maj_wtable = $maj_wspace + $maj_wside + $maj_wspace + $maj_wmain + $maj_wspace + $maj_wside + $maj_wspace;

$maj_default_blog_title = "My Activity Journal";
$maj_default_username = "maj";
$maj_default_password = "php";
$maj_default_blog_profile = 'This cool site is powered by My Activity Journal (<a href="http://majcms.org/" target="_maj">MAJ</a>), a simple <a href="http://php.net/" target="_maj">PHP</a>-based, <a href="http://opensource.org/" target="_maj">Open Source</a> content management system (CMS) that can be deployed as a blog, bulletin board (Internet forum or message board), and wiki.';
$maj_default_blog_author = "My Activity Journal";

if (!file_exists("data")) {
	mkdir("data");
}

if (!file_exists("data/.htaccess")) {
	$maj_htaccess = "Order deny,allow\nDeny from all";
	$maj_fp_htaccess_txt = fopen("data/.htaccess","w");
	fwrite($maj_fp_htaccess_txt,$maj_htaccess);
	fclose($maj_fp_htaccess_txt);
}

if (!file_exists("data/title.txt")) {
	$maj_fp_default_title_txt = fopen("data/title.txt","w");
	fwrite($maj_fp_default_title_txt,$maj_default_blog_title);
	fclose($maj_fp_default_title_txt);
}

if (!file_exists("data/username.txt")) {
	$maj_fp_htaccess_txt = fopen("data/username.txt","w");
	fwrite($maj_fp_htaccess_txt,$maj_default_username);
	fclose($maj_fp_htaccess_txt);
}

if (!file_exists("data/password.txt")) {
	$maj_default_password = sha1($maj_default_password);
	$maj_default_password = md5($maj_default_password);
	$maj_default_password = crypt($maj_default_password,$maj_default_password);
	$maj_fp_htaccess_txt = fopen("data/password.txt","w");
	fwrite($maj_fp_htaccess_txt,$maj_default_password);
	fclose($maj_fp_htaccess_txt);
}

if (!file_exists("data/profile.php")) {
	$maj_fp_default_profile_txt = fopen("data/profile.php","w");
	fwrite($maj_fp_default_profile_txt,$maj_default_blog_profile);
	fclose($maj_fp_default_profile_txt);
}

if (!file_exists("data/author.txt")) {
	$maj_fp_default_author_txt = fopen("data/author.txt","w");
	fwrite($maj_fp_default_author_txt,$maj_default_blog_author);
	fclose($maj_fp_default_author_txt);
}

function str_rand($length = 8,$seeds = 'abcdefghijklmnopqrstuvwxyz0123456789') {

	$str = '';
	$count = strlen($seeds);
 
	list($usec,$sec) = explode(' ',microtime());

	$seed = (float) $sec + ((float) $usec * 100000);

	mt_srand($seed);
 
	for ($i = 0; $length > $i; $i++) {
		$str .= $seeds{mt_rand(0,$count - 1)};
	}
	return $str;
}

function rmdirr($dir) {
      
	if (!file_exists($dir)) {
          	return false;
      	}
      
      	if (is_file($dir)) {
          	return unlink($dir);
      	}
      
      	$recurse = dir($dir);
      
      	while (false !== $entry = $recurse->read()) {
          
		if ($entry == '.' || $entry == '..') {
              		continue;
          	}
          
          	rmdirr("$dir/$entry");
      	}
      
      	$recurse->close();
      	return rmdir($dir);
}
  
function return_bytes($val) {
      
	$val = trim($val);
      	$last = $val{strlen($val) - 1};
      
      	switch ($last) {
          	case 'k':
          	case 'K':
              		return(int)$val * 1024;
              		break;
          	case 'm':
          	case 'M':
              		return(int)$val * 1048576;
              		break;
          	default:
              		return $val;
      	}
}
  
function entry2date($entry) {

      	$year = substr($entry, 0, 4);
      	$month = substr($entry, 4, 2);
      	$day = substr($entry, 6, 2);
      	$hour = substr($entry, 8, 2);
      	$min = substr($entry, 10, 2);
      	$sec = substr($entry, 12, 2);
      
      	echo date("l, M j, Y, g:i A", mktime($hour, $min, $sec, $month, $day, $year));
}

function reformat_html($data) {

      	$store_0 = split("<html>", $data);
      	$data = "";
      	$data .= $store_0[0];
      
      	foreach ($store_0 as $item_0 => $ref_0) {
          
		if (eregi("</html>", $ref_0)) {
              
			$store_1 = split("</html>", $ref_0);
              		$store_1[0] = eregi_replace("\n", "", $store_1[0]);
              
              		foreach ($store_1 as $item_1 => $ref_1) {
                  
				if ($item_1 == 0) {
					$ref_1 = "<!-- html -->$ref_1<!-- /html -->";
				}
                  		$data .= $ref_1;
              		}
          	}
      	}
      	return $data;
}

function reformat_code($data) {

      	$store_0 = split("<code>", $data);
      	$data = "";
      	$data .= $store_0[0];
      
      	foreach ($store_0 as $item_0 => $ref_0) {
          
		if (eregi("</code>", $ref_0)) {

              		$store_1 = split("</code>", $ref_0);
              		$store_1[0] = eregi_replace('<img src="images/smileys/crying.png" border="0">', ':((', $store_1[0]);
              		$store_1[0] = eregi_replace('<img src="images/smileys/frown.png" border="0">', ':(', $store_1[0]);
              		$store_1[0] = eregi_replace('<img src="images/smileys/indifferent.png" border="0">', ':|', $store_1[0]);
              		$store_1[0] = eregi_replace('<img src="images/smileys/laughing.png" border="0">', ':D', $store_1[0]);
              		$store_1[0] = eregi_replace('<img src="images/smileys/lick.png" border="0">', ':P', $store_1[0]);
              		$store_1[0] = eregi_replace('<img src="images/smileys/ohno.png" border="0">', ':O', $store_1[0]);
              		$store_1[0] = eregi_replace('<img src="images/smileys/smile.png" border="0">', ':)', $store_1[0]);
              		$store_1[0] = eregi_replace('<img src="images/smileys/surprised.png" border="0">', '=)', $store_1[0]);
              		$store_1[0] = eregi_replace('<img src="images/smileys/undecided.png" border="0">', ':\\', $store_1[0]);
              		$store_1[0] = eregi_replace('<img src="images/smileys/wink.png" border="0">', ';)', $store_1[0]);
              		$store_1[0] = htmlentities($store_1[0], ENT_NOQUOTES);
              
              		foreach ($store_1 as $item_1 => $ref_1) {

                  		if ($item_1 == 0) {
                      			$ref_1 = "<code>$ref_1</code>";
				}
                  		$data .= $ref_1;
              		}
          	}
	}
      	return $data;
}
  
function format_title_put($data) {
      
	// 20100113 - auto-captialize title except articles, prepositions and conjunctions less tha 4 letters, and particle "to"
      	$data = ucwords($data);
      	$data = str_replace('<', '&lt;', $data);
      	$data = str_replace('>', '&gt;', $data);
      	$data = str_replace(' A ', ' a ', $data);
      	$data = str_replace(' An ', ' an ', $data);
      	$data = str_replace(' And ', ' and ', $data);
      	$data = str_replace(' As ', ' as ', $data);
      	$data = str_replace(' At ', ' at ', $data);
      	$data = str_replace(' But ', ' but ', $data);
      	$data = str_replace(' By ', ' by ', $data);
      	$data = str_replace(' For ', ' for ', $data);
      	$data = str_replace(' In ', ' in ', $data);
      	$data = str_replace(' Of ', ' of ', $data);
      	$data = str_replace(' On ', ' on ', $data);
      	$data = str_replace(' Or ', ' or ', $data);
      	$data = str_replace(' The ', ' the ', $data);
      	$data = str_replace(' To ', ' to ', $data);
      
      	return $data;
} 
  
function format_body_put($data) {
      
	$data = ucfirst($data);
      	$data = str_replace("[html]", '<html>', $data);
      	$data = str_replace("[/html]", '</html>', $data);
      	$data = reformat_html($data);
      	$data = str_replace(':((', '<img src="images/smileys/crying.png" border="0">', $data);
      	$data = str_replace(':(', '<img src="images/smileys/frown.png" border="0">', $data);
      	$data = str_replace(':|', '<img src="images/smileys/indifferent.png" border="0">', $data);
      	$data = str_replace(':D', '<img src="images/smileys/laughing.png" border="0">', $data);
      	$data = str_replace(':P', '<img src="images/smileys/lick.png" border="0">', $data);
      	$data = str_replace(':O', '<img src="images/smileys/ohno.png" border="0">', $data);
      	$data = str_replace(':)', '<img src="images/smileys/smile.png" border="0">', $data);
      	$data = str_replace('=)', '<img src="images/smileys/surprised.png" border="0">', $data);
      	$data = str_replace(':\\', '<img src="images/smileys/undecided.png" border="0">', $data);
      	$data = str_replace(';)', '<img src="images/smileys/wink.png" border="0">', $data);
      	$data = str_replace('[code]', '<code>', $data);
      	$data = str_replace('[/code]', '</code>', $data);
      	$data = reformat_code($data);
      	$data = str_replace("\n", '<br />', $data);
      	$data = str_replace('[b]', '<b>', $data);
      	$data = str_replace('[/b]', '</b>', $data);
      	$data = str_replace('[i]', '<i>', $data);
      	$data = str_replace('[/i]', '</i>', $data);
      	$data = str_replace('[u]', '<u>', $data);
      	$data = str_replace('[/u]', '</u>', $data);
      	$data = str_replace('[strike]', '<strike>', $data);
      	$data = str_replace('[/strike]', '</strike>', $data);
      	$data = str_replace('[sup]', '<sup>', $data);
      	$data = str_replace('[/sup]', '</sup>', $data);
      	$data = str_replace('[sub]', '<sub>', $data);
      	$data = str_replace('[/sub]', '</sub>', $data);
      	$data = str_replace('[highlight]', '<highlight>', $data);
      	$data = str_replace('[/highlight]', '</highlight>', $data);
      	$data = str_replace('<highlight>', '<span style="background-color: #ffff00;">', $data);
      	$data = str_replace('</highlight>', '</span>', $data);
      	$data = preg_replace("/<([_\.0-9a-z-]+)@([0-9a-z][0-9a-z-]+)\.([_\.0-9a-z-]+)>/", '&lt;$1@$2.$3&gt;', $data);
      
      	return $data;
}
  
require("fpdf.php");
  
class PDF extends FPDF {

      	var $B;
      	var $I;
      	var $U;
      	var $HREF;
      
      	function PDF($orientation = 'P', $unit = 'mm', $format = 'letter') {
          	$this->FPDF($orientation, $unit, $format);
          	$this->B = 0;
          	$this->I = 0;
          	$this->U = 0;
          	$this->HREF = '';
      	}
      
      	function WriteHTML($html) {
          	$html = str_replace("\n", ' ', $html);
          	$a = preg_split('/<(.*)>/U', $html, -1, PREG_SPLIT_DELIM_CAPTURE);
         
	 	foreach ($a as $i => $e) {
              
			if ($i % 2 == 0) {
                  
				if ($this->HREF) {
                      			$this->PutLink($this->HREF, $e);
				}
                  		else {
                      			$this->Write(5, $e);
				}	
              		}
              		else {
                  		if ($e{0} == '/') {
                      			$this->CloseTag(strtoupper(substr($e, 1)));
				}
                 	 	else {
                      			$a2 = explode(' ', $e);
                      			$tag = strtoupper(array_shift($a2));
                      			$attr = array();
                      
					foreach ($a2 as $v) {
                          
						if (ereg('^([^=]*)=["\']?([^"\']*)["\']?$', $v, $a3)) {
                              				$attr[strtoupper($a3[1])] = $a3[2];
						}
                      				$this->OpenTag($tag, $attr);
					}
                  		}
              		}
          	}
      	}
      
      	function OpenTag($tag, $attr) {
          
		if ($tag == 'B' or $tag == 'I' or $tag == 'U') {
              		$this->SetStyle($tag, true);
		}
         
		if ($tag == 'A') {
              		$this->HREF = $attr['HREF'];
		}
          
		if ($tag == 'BR') {
              		$this->Ln(5);
		}
   	}
      
      	function CloseTag($tag) {
          
		if ($tag == 'B' or $tag == 'I' or $tag == 'U') {
              		$this->SetStyle($tag, false);
		}
          
		if ($tag == 'A') {
              		$this->HREF = '';
		}
      	}
      
      	function SetStyle($tag, $enable) {
          
		$this->$tag += ($enable ? 1 : -1);
          	$style = '';
          
		foreach (array('B', 'I', 'U') as $s) {
              
			if ($this->$s > 0) {
                  		$style .= $s;
			}
		}
          	$this->SetFont('', $style);
      	}
      
      	function PutLink($URL, $txt) {
          
		$this->SetTextColor(0, 0, 255);
          	$this->SetStyle('U', true);
          	$this->Write(5, $txt, $URL);
          	$this->SetStyle('U', false);
          	$this->SetTextColor(0);
      	}
}

function show_maj_avatar_image($author_username,$max_img_width=80) {

	global $maj_admin_username;

	echo "<a href=\"member.php?id=$author_username\">";

	if (($maj_admin_username == $author_username) and (file_exists("images/avatar.jpg") or file_exists("images/avatar.gif") or file_exists("images/avatar.png"))) {

		if (file_exists("images/avatar.gif")) {

			$avatar_gif_image_size = getimagesize("images/avatar.gif");
			$avatar_gif_image_width = $avatar_gif_image_size[0];
			$avatar_gif_image_height = $avatar_gif_image_size[1];

			if ($avatar_gif_image_width > $max_img_width) {   

				$sizefactor = (double) ($max_img_width / $avatar_gif_image_width) ;
				$avatar_gif_image_width = (int) ($avatar_gif_image_width * $sizefactor);
				$avatar_gif_image_height = (int) ($avatar_gif_image_height * $sizefactor); 

				if (file_exists("data/avatar-resize-gif.txt")) {

					$avatar_gif_image_resize = imagecreatetruecolor($avatar_gif_image_width,$avatar_gif_image_height);

					imagealphablending($avatar_gif_image_resize, false);
					imagesavealpha($avatar_gif_image_resize, true);

					$avatar_gif_image_original = imagecreatefromgif("images/avatar.gif");
					$avatar_gif_transparent_index = imagecolortransparent($avatar_gif_image_original);

					if ($avatar_gif_transparent_index >= 0) {

						$avatar_gif_transparent_color = imagecolorsforindex($avatar_gif_image_original, $avatar_gif_transparent_index);
						$avatar_gif_transparent_index = imagecolorallocate($avatar_gif_image_resize, $avatar_gif_transparent_color['red'], $avatar_gif_transparent_color['green'], $avatar_gif_transparent_color['blue']);

						imagefill($avatar_gif_image_resize, 0, 0, $avatar_gif_transparent_index);
						imagecolortransparent($avatar_gif_image_resize, $avatar_gif_transparent_index);
					}

					imagecopyresampled($avatar_gif_image_resize,$avatar_gif_image_original,0,0,0,0,$avatar_gif_image_width,$avatar_gif_image_height,$avatar_gif_image_size[0],$avatar_gif_image_size[1]);

					unlink("images/avatar.gif");

					imagegif($avatar_gif_image_resize,"images/avatar.gif",100);

					imagedestroy($avatar_gif_image_resize);
					imagedestroy($avatar_gif_image_original);
				}
			}
			echo "<img src=\"images/avatar.gif\" border=\"0\" width=\"$avatar_gif_image_width\" height=\"$avatar_gif_image_height\">";
		}

		if (file_exists("images/avatar.jpg")) {

			$avatar_jpg_image_size = getimagesize("images/avatar.jpg");
			$avatar_jpg_image_width = $avatar_jpg_image_size[0];
			$avatar_jpg_image_height = $avatar_jpg_image_size[1];
			
			if ($avatar_jpg_image_width > $max_img_width) {   

				$sizefactor = (double) ($max_img_width / $avatar_jpg_image_width) ;
				$avatar_jpg_image_width = (int) ($avatar_jpg_image_width * $sizefactor);
				$avatar_jpg_image_height = (int) ($avatar_jpg_image_height * $sizefactor); 

				if (file_exists("data/avatar-resize-jpg.txt")) {

					$avatar_jpg_image_resize = imagecreatetruecolor($avatar_jpg_image_width,$avatar_jpg_image_height);
					$avatar_jpg_image_original = imagecreatefromjpeg("images/avatar.jpg");

					imagecopyresampled($avatar_jpg_image_resize,$avatar_jpg_image_original,0,0,0,0,$avatar_jpg_image_width,$avatar_jpg_image_height,$avatar_jpg_image_size[0],$avatar_jpg_image_size[1]);

					unlink("images/avatar.jpg");

					imagejpeg($avatar_jpg_image_resize,"images/avatar.jpg",100);

					imagedestroy($avatar_jpg_image_resize);
					imagedestroy($avatar_jpg_image_original);
				}
			}
			echo "<img src=\"images/avatar.jpg\" border=\"0\" width=\"$avatar_jpg_image_width\" height=\"$avatar_jpg_image_height\">";
		}

		if (file_exists("images/avatar.png")) {

			$avatar_png_image_size = getimagesize("images/avatar.png");
			$avatar_png_image_width = $avatar_png_image_size[0];
			$avatar_png_image_height = $avatar_png_image_size[1];
			
			if ($avatar_png_image_width > $max_img_width) {   

				$sizefactor = (double) ($max_img_width / $avatar_png_image_width) ;
				$avatar_png_image_width = (int) ($avatar_png_image_width * $sizefactor);
				$avatar_png_image_height = (int) ($avatar_png_image_height * $sizefactor); 

				if (file_exists("data/avatar-resize-png.txt")) {

					$avatar_png_image_resize = imagecreatetruecolor($avatar_png_image_width,$avatar_png_image_height);

					imagealphablending($avatar_png_image_resize, false);
					imagesavealpha($avatar_png_image_resize, true);

					$avatar_png_image_original = imagecreatefrompng("images/avatar.png");

					imagecopyresampled($avatar_png_image_resize,$avatar_png_image_original,0,0,0,0,$avatar_png_image_width,$avatar_png_image_height,$avatar_png_image_size[0],$avatar_png_image_size[1]);

					unlink("images/avatar.png");

					imagepng($avatar_png_image_resize,"images/avatar.png",100);

					imagedestroy($avatar_png_image_resize);
					imagedestroy($avatar_png_image_original);
				}
			}
			echo "<img src=\"images/avatar.png\" border=\"0\" width=\"$avatar_png_image_width\" height=\"$avatar_png_image_height\">";
		}
		echo "<br>";
	}
	elseif (file_exists("images/members/$author_username/avatar.jpg") or file_exists("images/members/$author_username/avatar.gif") or file_exists("images/members/$author_username/avatar.png")) {

		if (file_exists("images/members/$author_username/avatar.gif")) {

			$avatar_gif_image_size = getimagesize("images/members/$author_username/avatar.gif");
			$avatar_gif_image_width = $avatar_gif_image_size[0];
			$avatar_gif_image_height = $avatar_gif_image_size[1];

			if ($avatar_gif_image_width > $max_img_width) {   

				$sizefactor = (double) ($max_img_width / $avatar_gif_image_width) ;
				$avatar_gif_image_width = (int) ($avatar_gif_image_width * $sizefactor);
				$avatar_gif_image_height = (int) ($avatar_gif_image_height * $sizefactor); 

				if (file_exists("data/avatar-resize-gif.txt")) {

					$avatar_gif_image_resize = imagecreatetruecolor($avatar_gif_image_width,$avatar_gif_image_height);

					imagealphablending($avatar_gif_image_resize, false);
					imagesavealpha($avatar_gif_image_resize, true);

					$avatar_gif_image_original = imagecreatefromgif("images/members/$author_username/avatar.gif");
					$avatar_gif_transparent_index = imagecolortransparent($avatar_gif_image_original);

					if ($avatar_gif_transparent_index >= 0) {

						$avatar_gif_transparent_color = imagecolorsforindex($avatar_gif_image_original, $avatar_gif_transparent_index);
						$avatar_gif_transparent_index = imagecolorallocate($avatar_gif_image_resize, $avatar_gif_transparent_color['red'], $avatar_gif_transparent_color['green'], $avatar_gif_transparent_color['blue']);

						imagefill($avatar_gif_image_resize, 0, 0, $avatar_gif_transparent_index);
						imagecolortransparent($avatar_gif_image_resize, $avatar_gif_transparent_index);
					}

					imagecopyresampled($avatar_gif_image_resize,$avatar_gif_image_original,0,0,0,0,$avatar_gif_image_width,$avatar_gif_image_height,$avatar_gif_image_size[0],$avatar_gif_image_size[1]);

					unlink("images/members/$author_username/avatar.gif");

					imagegif($avatar_gif_image_resize,"images/members/$author_username/avatar.gif",100);

					imagedestroy($avatar_gif_image_resize);
					imagedestroy($avatar_gif_image_original);
				}
			}
			echo "<img src=\"images/members/$author_username/avatar.gif\" border=\"0\" width=\"$avatar_gif_image_width\" height=\"$avatar_gif_image_height\">";
		}

		if (file_exists("images/members/$author_username/avatar.jpg")) {

			$avatar_jpg_image_size = getimagesize("images/members/$author_username/avatar.jpg");
			$avatar_jpg_image_width = $avatar_jpg_image_size[0];
			$avatar_jpg_image_height = $avatar_jpg_image_size[1];
			
			if ($avatar_jpg_image_width > $max_img_width) {   

				$sizefactor = (double) ($max_img_width / $avatar_jpg_image_width) ;
				$avatar_jpg_image_width = (int) ($avatar_jpg_image_width * $sizefactor);
				$avatar_jpg_image_height = (int) ($avatar_jpg_image_height * $sizefactor); 

				if (file_exists("data/avatar-resize-jpg.txt")) {

					$avatar_jpg_image_resize = imagecreatetruecolor($avatar_jpg_image_width,$avatar_jpg_image_height);
					$avatar_jpg_image_original = imagecreatefromjpeg("images/members/$author_username/avatar.jpg");

					imagecopyresampled($avatar_jpg_image_resize,$avatar_jpg_image_original,0,0,0,0,$avatar_jpg_image_width,$avatar_jpg_image_height,$avatar_jpg_image_size[0],$avatar_jpg_image_size[1]);

					unlink("images/members/$author_username/avatar.jpg");

					imagejpeg($avatar_jpg_image_resize,"images/members/$author_username/avatar.jpg",100);

					imagedestroy($avatar_jpg_image_resize);
					imagedestroy($avatar_jpg_image_original);
				}
			}
			echo "<img src=\"images/members/$author_username/avatar.jpg\" border=\"0\" width=\"$avatar_jpg_image_width\" height=\"$avatar_jpg_image_height\">";
		}

		if (file_exists("images/members/$author_username/avatar.png")) {

			$avatar_png_image_size = getimagesize("images/members/$author_username/avatar.png");
			$avatar_png_image_width = $avatar_png_image_size[0];
			$avatar_png_image_height = $avatar_png_image_size[1];
			
			if ($avatar_png_image_width > $max_img_width) {   
				$sizefactor = (double) ($max_img_width / $avatar_png_image_width) ;
				$avatar_png_image_width = (int) ($avatar_png_image_width * $sizefactor);
				$avatar_png_image_height = (int) ($avatar_png_image_height * $sizefactor); 

				if (file_exists("data/avatar-resize-png.txt")) {

					$avatar_png_image_resize = imagecreatetruecolor($avatar_png_image_width,$avatar_png_image_height);

					imagealphablending($avatar_png_image_resize, false);
					imagesavealpha($avatar_png_image_resize, true);

					$avatar_png_image_original = imagecreatefrompng("images/members/$author_username/avatar.png");

					imagecopyresampled($avatar_png_image_resize,$avatar_png_image_original,0,0,0,0,$avatar_png_image_width,$avatar_png_image_height,$avatar_png_image_size[0],$avatar_png_image_size[1]);

					unlink("images/members/$author_username/avatar.png");

					imagepng($avatar_png_image_resize,"images/members/$author_username/avatar.png",100);

					imagedestroy($avatar_png_image_resize);
					imagedestroy($avatar_png_image_original);
				}
			}
			echo "<img src=\"images/members/$author_username/avatar.png\" border=\"0\" width=\"$avatar_png_image_width\" height=\"$avatar_png_image_height\">";
		}
		echo "<br>";
	}

	echo "<b>$author_username</b></a><br>";

	if (($maj_admin_username == $author_username) and file_exists("data/rank.txt")) {
		echo "administrator<br>";
	}
	elseif (file_exists("data/members/active/$author_username/rank.txt") and file_exists("data/rank.txt")) {
		$rank = file_get_contents("data/members/active/$author_username/rank.txt");
		echo "$rank<br>";
	}
	elseif (!file_exists("data/members/active/$author_username/rank.txt") and file_exists("data/rank.txt")) {
		echo "member<br>";
	}
}

?>
